package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.file.entity.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 采购合同-变更审核表
 * </p>
 *
 * @author daxian
 * @since 2022-03-14
 */
@TableName("purch_contract_supplement_approval")
public class PurchContractSupplementApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    public PurchContractSupplementApproval() {
    }

    /**
     * 采购补充合同信息表Id
     */
    @TableField("purch_contract_supplement_info_id")
    private Long purchContractSupplementInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;

    /**
     * 0线下签署  1线上签署
     */
    @TableField("sign_mode")
    private Integer signMode;

    /**
     * 是否上传合同文件 0不上传  1上传
     */
    @TableField("upload")
    private Integer upload;

    /**
     * 其他约定
     */
    @TableField("other_convention")
    private String otherConvention;

    /**
     * 是否使用系统生成的合同
     * 0 不使用  1使用
     */
    @TableField("use_contract")
    private Integer useContract;

    /**
     * 合同文件
     */
    @TableField(exist = false)
    private FileStorageDO fileStorage;

    /**
     * 上传的合同
     */
    @TableField(exist = false)
    public List<UploadPurchSupplementContract> uploadPurchSupplementContracts;

    @TableField(exist = false)
    private Integer online;

    public Integer getUseContract() {
        return useContract;
    }

    public void setUseContract(Integer useContract) {
        this.useContract = useContract;
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public FileStorageDO getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorageDO fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<UploadPurchSupplementContract> getUploadPurchSupplementContracts() {
        return uploadPurchSupplementContracts;
    }

    public void setUploadPurchSupplementContracts(List<UploadPurchSupplementContract> uploadPurchSupplementContracts) {
        this.uploadPurchSupplementContracts = uploadPurchSupplementContracts;
    }

    public Integer getSignMode() {
        return signMode;
    }

    public void setSignMode(Integer signMode) {
        this.signMode = signMode;
    }

    public Integer getUpload() {
        return upload;
    }

    public void setUpload(Integer upload) {
        this.upload = upload;
    }

    public String getOtherConvention() {
        return otherConvention;
    }

    public void setOtherConvention(String otherConvention) {
        this.otherConvention = otherConvention;
    }

    public Long getPurchContractSupplementInfoId() {
        return purchContractSupplementInfoId;
    }

    public void setPurchContractSupplementInfoId(Long purchContractSupplementInfoId) {
        this.purchContractSupplementInfoId = purchContractSupplementInfoId;
    }
    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    @Override
    public String toString() {
        return "PurchContractSupplementApproval{" +
            "purchContractSupplementInfoId=" + purchContractSupplementInfoId +
            ", approvalComment=" + approvalComment +
            ", approvalConclusion=" + approvalConclusion +
            ", auditorId=" + auditorId +
        "}";
    }
}
